﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="KirovetsK700A">
	<annotation>Stitch</annotation>
    <name>
        <en> Kirovets K-701P</en>
        <de> Kirovets K-701P</de>
    </name>
    <description></description>
    <filename>KirovetsK701P.dds</filename>
	<wheels autoRotateBackSpeed="0.3" minAutoRotateBackSpeed="0.2" maxSpeed="20" twinWheelsCheckString="KirovetsK700A">
        <wheel rotSpeed="0" driveMode="1" repr="1>2" radius="0.98" deltaY="-0.02" suspTravel="0.13" spring="80" damper="20" mass="0.85" lateralStiffness="25" />
        <wheel rotSpeed="0" driveMode="1" repr="1>3" radius="0.98" deltaY="-0.02" suspTravel="0.13" spring="80" damper="20" mass="0.85" lateralStiffness="25" />
        <wheel rotSpeed="0" driveMode="2" repr="3" radius="0.98" deltaY="-0.0" suspTravel="0.13" spring="80" damper="20" mass="0.80" lateralStiffness="25" />
        <wheel rotSpeed="0" driveMode="2" repr="4" radius="0.98" deltaY="-0.0" suspTravel="0.13" spring="80" damper="20" mass="0.80" lateralStiffness="25" />
		 </wheels>
	<motor minRpm="100" maxRpm="1000 1650 2250 795" maxTorques="3.5 3.5 -1 3.5" brakeForce="20" lowBrakeForceScale="0.5" lowBrakeForceSpeedLimit="1" forwardGearRatio="18" backwardGearRatio="18" differentialRatio="1" rpmFadeOutRange="20">
		<torque rpm="2250" torque="6"/>
		
		<backwardTorque rpm="600" torque="10"/>
		<backwardTorque rpm="800" torque="2.5"/>
	</motor>

	<accelerationSpeed maxAcceleration="0.12" deceleration="0.6" backwardDeceleration="0.7" />
	<fuelCapacity>640</fuelCapacity>
    <fuelUsage>0.0250</fuelUsage>
    <downForce>15</downForce>
	<ESLimiter posX="0.7543" posY="0.1715" />
    <attachSound file="$data/vehicles/steerable/deutz/attach.wav" pitchOffset="1" />
    <motorStartSound file="kirovets_start.wav" pitchOffset="1" volume="0.6" />
    <motorSound file="kirovets_idle.wav" pitchOffset="1" pitchScale="0.02" pitchMax="1.65" volume="0.6" />
	<motorSoundRun file="kirovets_run.wav" pitchOffset="1" pitchScale="0.02" pitchMax="1.01" volume="0.6" />
    <motorStopSound file="kirovets_stop.wav" pitchOffset="1" volume="0.3" />
    <compressedAirSound file="$data/vehicles/steerable/deutz/compressedAir.wav" pitchOffset="1"/>
    <compressionSound file="$data/vehicles/steerable/deutz/compressorWork.wav" pitchOffset="1" volume="0.0"/> 
	<aiMotorSound  file="kirovets_idle_ai.wav" pitchOffset="1" radius="35" innerRadius="25" volume="1" />
	<honkSound file="Palermo_Horn.ogg" client="Palermo_Horn3d.ogg" volume="2" radius="80" innerRadius="35" />
	
    <lightSources count="2">
        <source1 index="1>4|11" backPartLights="0>5|6" lights="1>4|11|0" /> <!-- standart light -->
		<source2 index="1>4|12" backPartLights="0>5|6" lights="1>4|12|10" /> <!-- working light -->
    </lightSources>
	<cameras count="2">
        <camera1 index="5|3|0" rotatable="true" rotateNode="5|3" limit="true" rotMinX="-1.25" rotMaxX="0" transMin="5.8" transMax="60" />
		<camera2 index="1>38" rotatable="true" limit="true" rotMinX="-1.25" rotMaxX="0.2" transMin="0" transMax="0" />
    </cameras>
    <steering index="1>4|0|0" rotationSpeed="6"/>	
    <enterReferenceNode index="0>" />
    <exitPoint index="1>4|15" />	
    <size width="3.5" length="5.5" lengthOffset="5"/>	
    <characterNode index="1>4|8" cameraMinDistance="1.5" />
	
	<trailerAttacherJoints node="5|2|0|0|1|0" upRot="52.5" lowRot="3" >
		<trailerAttacherJoint index="5|2|0|0|1|0|0" shaft="0>5|8" maxRotLimit="15 85 85" />
        <trailerAttacherJoint index="5|2|0|0|1|0|0" low="true" shaft="0>5|8" maxRotLimit="25 85 85" />
    </trailerAttacherJoints>
	
	<tipCamera index="1>4|10" />
	
	<articulatedSteering joint="1" minRot="-25" maxRot="25" rotSpeed="20" />
	
	<dynamicExhaustingSystem cap="1>4|7" maxRot="-81.5" minAlpha="0.1" maxAlpha="1.0" param="exhaustingSystem" >
		<startSequence>
			<key time="0.0"  value="0 0 0 0"/>
			<key time="0.4"  value="0 0 0 0.5"/>
			<key time="0.58" value="0 0 0 0.2"/>
			<key time="0.6"  value="0 0 0 0.2"/>
			<key time="0.75" value="0 0 0 1"/>
			<key time="0.93" value="0 0 0 1"/>
			<key time="1.0"  value="0 0 0 0.2"/>
		</startSequence>
	</dynamicExhaustingSystem>
	
	      <!-- Lights -->
    <lights count="1">
        <light1 index="9" />
    </lights>
    <lightsaddon lightsStayOn="false">
	   <light type="brake" index="8|0" />
	   <light type="brake" index="8|0" />
	   <light type="dirLeft" index="8|1" />
	   <light type="dirRight" index="8|2" />
	   <light type="dirLeft" index="1>9|0" />
	   <light type="dirRight" index="1>9|1" />
	   



      </lightsaddon>

	
	<exhaustParticleSystems count="1">
		<exhaustParticleSystem1 node="1>4|14" position="0 0 0" rotation="0 0 0"  file="KirovetsK700A_ExhaustParticleSystem.i3d" />
    </exhaustParticleSystems>
	
	<attacherJoints adapter="5|9" attacherJoint="5|9|0" topReferenceNode="5|9|1">
        <attacherJoint index="5|2|2|0|0" rotationNode="5|2|2" maxRot="-12 0 0" rotationNode2="5|2|2|0" maxRot2="8 0 0" maxTransLimit="0 0.5 0" maxRotLimit="0 0 20" moveTime="1.5" shaft="0>5|8">
            <bottomArm rotationNode="5|2|0" translationNode="5|2|0|0" referenceNode="5|2|0|0|0" zScale="-1" />
            <topArm rotationNode="5|2|1|2" translationNode="5|2|1|2|0|0" referenceNode="5|2|1|2|0|0|0" zScale="-1"/>
        </attacherJoint>
    </attacherJoints>
	<backHydraulic rootArm="5|2|1" />

	<movingParts>		
		<!-- left SteeringHydraulic -->
        <movingPart index="1>4|4" referencePoint="0>5|5" referenceFrame="1>0" >
            <translatingPart index="1>4|4|0" />
        </movingPart>
		<!-- right SteeringHydraulic -->
        <movingPart index="1>4|3" referencePoint="0>5|4" referenceFrame="1>0" >
            <translatingPart index="1>4|3|0" />
        </movingPart>
        <movingPart index="0>6|0|0|0" referencePoint="0>5|7" referenceFrame="0>6|0" />
		<movingPart index="0>6|0|0|1" referencePoint="1>4|5" referenceFrame="0>6|0" />
		<movingPart index="0>6|1|0|0" referencePoint="0>5|0|3|0" referenceFrame="0>6|1" />
		<movingPart index="0>6|1|0|1" referencePoint="1>4|6" referenceFrame="0>6|1"  />		
		<!-- hydraulic stabilizer -->
        <movingPart index="5|2|1|0" referencePoint="5|2|0|0|2" referenceFrame="5|10" >
            <translatingPart index="5|2|1|0|0" />
        </movingPart>
		<!-- main Hydraulic -->
        <movingPart index="5|1|0" referencePoint="5|2|1|3" referenceFrame="1>0" >
            <translatingPart index="5|1|0|0" />
        </movingPart>
		
    </movingParts>	
	
	<drivingPowerShafts count="4">
		<powerShaft1 index="0>5|0|0|0" />
		<powerShaft2 index="0>6|0|0" translation="0.025" rotation="-18" />
		<powerShaft3 index="0>5|0|3|0" speedFactor="0.2" />
		<powerShaft4 index="0>6|1|0" translation="0.025" rotation="-18" speedFactor="0.2" />
	</drivingPowerShafts>
					
	<aiTrafficCollisionTrigger index="1>5" />
	<aiTractorDirectionNode index="1>5" />
	<controlPanels count="1" >
		<controlPanel1 index="1>4|17" />
	</controlPanels>

	<wiper rootNode="1>4|13|0" speedScale="2" clip="wiperSource" />
	
	<interactiveComponents>
		<windows count="2">
			<window1 name="rightDoor"    mark="1>4|1|0" size="0.1" index="1>4|1" speedScale="1" clip="rightDoorSource" />
			<window2 name="leftDoor"     mark="1>4|2|0" size="0.1" index="1>4|2" speedScale="1" clip="leftDoorSource" />
		</windows>
	</interactiveComponents>
	
	<components count="3">
        <component1 centerOfMass="0 -1.25 0" solverIterationCount="20" />
		<component2 centerOfMass="0 -2.10 0" solverIterationCount="20" />
		<component3 centerOfMass="0 -0.5 0" solverIterationCount="20" />
		<joint component1="1" component2="0" index="6" rotLimit="0 0 15" transLimit="0 0 0" />
		    <joint component1="2" component2="1" index="1>4|48" rotLimit="12 90 12" transLimit="0 0 0" />
			
	</components>	
		<radio count=6 volume="160"> 
		<song1 filename="Radio/track01.wav" /> 
		<song2 filename="Radio/track02.wav" /> 
		<song3 filename="Radio/track03.wav" /> 
		<song4 filename="Radio/track04.wav" /> 
		<song5 filename="Radio/track05.wav" /> 
		<song6 filename="Radio/track06.wav" /> 
	</radio>
	
       <DirtWheels>
          <DirtWheel index="1>6|0" dirtFileDry="Dirt/dirtDry.i3d" dirtFileRain="Dirt/dirtRain.i3d" isActive="true" distance="0.1" file="$data/vehicles/particleSystems/fieldWorkParticleSystem.i3d"/>
          <DirtWheel index="1>6|1" dirtFileDry="Dirt/dirtDry.i3d" dirtFileRain="Dirt/dirtRain.i3d" isActive="true" distance="0.1" file="$data/vehicles/particleSystems/fieldWorkParticleSystem.i3d"/>
          <DirtWheel index="7|0" dirtFileDry="Dirt/dirtDry.i3d" dirtFileRain="Dirt/dirtRain.i3d" isActive="true" distance="0.1" file="$data/vehicles/particleSystems/fieldWorkParticleSystem.i3d"/>
          <DirtWheel index="7|1" dirtFileDry="Dirt/dirtDry.i3d" dirtFileRain="Dirt/dirtRain.i3d" isActive="true" distance="0.1" file="$data/vehicles/particleSystems/fieldWorkParticleSystem.i3d"/>
       </DirtWheels>	
</vehicle>
